| OpenCV 4.3.0 Open Source Computer Vision

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
cv::TrackerModel Class Referenceabstract
Tracking API

Abstract class that represents the model of the target. It must be instantiated by specialized tracker. More...

`#include <opencv2/tracking/tracker.hpp>`

## Public Member Functions
| TrackerModel ()
| Constructor. More...
virtual | ~TrackerModel ()
| Destructor. More...
const std::vector< ConfidenceMap > & | getConfidenceMaps () const
| Get the list of the ConfidenceMap. More...
const ConfidenceMap & | getLastConfidenceMap () const
| Get the last ConfidenceMap for the current frame. More...
Ptr< TrackerTargetState > | getLastTargetState () const
| Get the last TrackerTargetState from Trajectory. More...
Ptr< TrackerStateEstimator > | getTrackerStateEstimator () const
| Get the TrackerStateEstimator. More...
void | modelEstimation (const std::vector< Mat > &responses)
| Estimate the most likely target location. More...
void | modelUpdate ()
| Update the model. More...
bool | runStateEstimator ()
| Run the TrackerStateEstimator, return true if is possible to estimate a new state, false otherwise. More...
void | setLastTargetState (const Ptr< TrackerTargetState > &lastTargetState)
| Set the current TrackerTargetState in the Trajectory. More...
bool | setTrackerStateEstimator (Ptr< TrackerStateEstimator > trackerStateEstimator)
| Set TrackerEstimator, return true if the tracker state estimator is added, false otherwise. More...

## Protected Member Functions
virtual void | modelEstimationImpl (const std::vector< Mat > &responses)=0
virtual void | modelUpdateImpl ()=0

## Protected Attributes
std::vector< ConfidenceMap > | confidenceMaps
ConfidenceMap | currentConfidenceMap
int | maxCMLength
Ptr< TrackerStateEstimator > | stateEstimator
Trajectory | trajectory

## Detailed Description

Abstract class that represents the model of the target. It must be instantiated by specialized tracker.

See [201] Ak

Inherits this with your TrackerModel

## Constructor & Destructor Documentation

## ◆ TrackerModel()

cv::TrackerModel::TrackerModel | ( |  | ) |

Constructor.

## ◆ ~TrackerModel()

virtual cv::TrackerModel::~TrackerModel | ( |  | ) |
| virtual

Destructor.

## Member Function Documentation

## ◆ getConfidenceMaps()

const std::vector<ConfidenceMap>& cv::TrackerModel::getConfidenceMaps | ( |  | ) | const

Get the list of the ConfidenceMap.

## ◆ getLastConfidenceMap()

const ConfidenceMap& cv::TrackerModel::getLastConfidenceMap | ( |  | ) | const

Get the last ConfidenceMap for the current frame.

## ◆ getLastTargetState()

Ptr<TrackerTargetState> cv::TrackerModel::getLastTargetState | ( |  | ) | const

Get the last TrackerTargetState from Trajectory.

## ◆ getTrackerStateEstimator()

Ptr<TrackerStateEstimator> cv::TrackerModel::getTrackerStateEstimator | ( |  | ) | const

Get the TrackerStateEstimator.

## ◆ modelEstimation()

void cv::TrackerModel::modelEstimation | ( | const std::vector< Mat > & | responses | ) |

Estimate the most likely target location.

[201] ME, Model Estimation table I

Parameters

  responses | Features extracted from TrackerFeatureSet

## ◆ modelEstimationImpl()

virtual void cv::TrackerModel::modelEstimationImpl | ( | const std::vector< Mat > & | responses | ) |
| protected pure virtual

## ◆ modelUpdate()

void cv::TrackerModel::modelUpdate | ( |  | ) |

Update the model.

[201] MU, Model Update table I

## ◆ modelUpdateImpl()

virtual void cv::TrackerModel::modelUpdateImpl | ( |  | ) |
| protected pure virtual

## ◆ runStateEstimator()

bool cv::TrackerModel::runStateEstimator | ( |  | ) |

Run the TrackerStateEstimator, return true if is possible to estimate a new state, false otherwise.

## ◆ setLastTargetState()

void cv::TrackerModel::setLastTargetState | ( | const Ptr< TrackerTargetState > & | lastTargetState | ) |

Set the current TrackerTargetState in the Trajectory.

Parameters

  lastTargetState | The current TrackerTargetState

## ◆ setTrackerStateEstimator()

bool cv::TrackerModel::setTrackerStateEstimator | ( | Ptr< TrackerStateEstimator > | trackerStateEstimator | ) |

Set TrackerEstimator, return true if the tracker state estimator is added, false otherwise.

Parameters

  trackerStateEstimator | The TrackerStateEstimator

Note
  You can add only one TrackerStateEstimator

## Member Data Documentation

## ◆ confidenceMaps

std::vector<ConfidenceMap> cv::TrackerModel::confidenceMaps
| protected

## ◆ currentConfidenceMap

ConfidenceMap cv::TrackerModel::currentConfidenceMap
| protected

## ◆ maxCMLength

int cv::TrackerModel::maxCMLength
| protected

## ◆ stateEstimator

Ptr<TrackerStateEstimator> cv::TrackerModel::stateEstimator
| protected

## ◆ trajectory

Trajectory cv::TrackerModel::trajectory
| protected

The documentation for this class was generated from the following file:

- opencv2/tracking/tracker.hpp